#pragma once

#include "CoreMinimal.h"
#include "StoreSpecialPackCatalogPrice.h"
#include "UObject/NoExportTypes.h"
#include "StoreSpecialPackImageCompositionData.h"
#include "StoreSpecialPackCatalogItemMetaData.generated.h"

USTRUCT(BlueprintType)
struct FStoreSpecialPackCatalogItemMetaData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	TArray<FStoreSpecialPackCatalogPrice> FullPrice;

	UPROPERTY(EditAnywhere, Transient)
	uint32 SortOrder;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString ImagePath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, SkipSerialization)
	bool ImagePath_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	TMap<FString, FString> SpecialPackTitle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	TMap<FString, FString> FullDescription;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, SkipSerialization)
	bool FullDescription_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	float Discount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool HiddenIfOwned;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	int32 MinNumberOfUnownedForPurchase;

	UPROPERTY(EditAnywhere, Transient)
	FDateTime StartDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, SkipSerialization)
	bool StartDate_IsSet;

	UPROPERTY(EditAnywhere, Transient)
	FDateTime EndDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, SkipSerialization)
	bool EndDate_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString DLCId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, SkipSerialization)
	bool DLCId_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FStoreSpecialPackImageCompositionData ImageComposition;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, SkipSerialization)
	bool ImageComposition_IsSet;

public:
	DEADBYDAYLIGHT_API FStoreSpecialPackCatalogItemMetaData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreSpecialPackCatalogItemMetaData) { return 0; }
